# source("/Users/lawrenceuren/Dropbox/Depression/JMCB_GD/Code/Figure2.R")
## Programme to examine alternative government policies. 
## Clear previous information.

rm(list=ls(all=TRUE))

## Load HPfilter: 
source("/Users/lawrenceuren/Documents/Research/Miscellaneous/Computing/R/hpfilter.R")

## Load Monash graphs:
source("/Users/lawrenceuren/Documents/Research/Miscellaneous/Computing/R/monash/R/setps.R")
# library(foreign)
# library(MASS)

# Data imported from matlab. masterfilegm.m. Fixed exchange rate
basesim = read.table("/Users/lawrenceuren/Dropbox/Depression/JMCB_GD/Code/Output/Baseline/endo_r.txt", sep=",")

basesim=data.matrix(basesim) # basesim[2,] -> model data. fixed ER

# Observed data imported from govshocksnew.R
observedata = read.table("/Users/lawrenceuren/Dropbox/Depression/JMCB_GD/Code/Output/dataobs.csv", sep=",")

# Data imported from simulate_gm_gov.m - flexible exchange rate
y = read.table("/Users/lawrenceuren/Dropbox/Depression/JMCB_GD/Code/Output/Flexbase/output.txt", sep=",")

ytn = read.table("/Users/lawrenceuren/Dropbox/Depression/JMCB_GD/Code/Output/Flexbase/ytn.txt", sep=",")

# Download fixed exchange rate counterfactual data. 
ycf = read.table("/Users/lawrenceuren/Dropbox/Depression/JMCB_GD/Code/Output/Baseline/y_cf.txt", sep=",")

ycf = data.matrix(ycf)

# Compare model to the data
savefig("/Users/lawrenceuren/Dropbox/Depression/JMCB_GD/Code/Output/MS11-298Fig2", type="pdf")
plot(1925:1938, basesim[2,], xlab="year", ylab="log deviation from trend", type="l", ylim=c(-0.10, 0.08))
lines(1925:1938, observedata[,1], lty=2)
legend("bottomleft", c("model", "data"), lty=c(1,2), col=c("black", "black"))
dev.off()