# source("/Users/lawrenceuren/Dropbox/Depression/JMCB_GD/Code/Figure4.R")
## Illustrate effect of exchange rate depreciation.
## Clear previous information.

rm(list=ls(all=TRUE))

## Load HPfilter: 
source("/Users/lawrenceuren/Documents/Research/Miscellaneous/Computing/R/hpfilter.R")

paste.data <- function(header=FALSE) {read.table(pipe("pbpaste"), header=header)}

## Load Monash graphs:
source("/Users/lawrenceuren/Documents/Research/Miscellaneous/Computing/R/monash/R/setps.R")
# library(foreign)
# library(MASS)

basesim = read.table("/Users/lawrenceuren/Dropbox/Depression/JMCB_GD/Code/Output/Baseline/endo_r.txt", sep=",") # Fixed exchange rate - baseline simulation

flexy = read.table("/Users/lawrenceuren/Dropbox/Depression/JMCB_GD/Code/Output/Flexbase/output.txt", sep=",") # Flexible exchange rate simulation.

fixy = data.matrix(t(read.table("/Users/lawrenceuren/Dropbox/Depression/JMCB_GD/Code/Output/Alternate/endo_r.txt", sep=","))) # Fixed exchange rate, with depreciation.

# savefig("/Users/lawrenceuren/Dropbox/Depression/JMCB_GD/Code/Output/flexchange", type="pdf")
# plot(1925:1938, flexy$V1, type="l", ylab= "log deviation from trend", xlab="year")
# lines(1925:1938, fixy[, 2], lty=2)
# dev.off()

# # savefig("/Users/lawrenceuren/Documents/Research/Projects/OzEcoHist/Depression/Figures_GD/flexdecomp", type="pdf")
# split.screen(c(1,2))
# screen(1)
# plot(1925:1938, basesim[2, ] , type="l", xlab="year", ylab="log deviation from trend", ylim=c(-0.08, 0.06))
# lines(1925:1938, fixy[, 2], lty= 2)

# screen(2)
# plot(1925:1938, flexy$V1, type="l", ylab= "log deviation from trend", xlab="year", ylim=c(-0.08, 0.06))
# lines(1925:1938, fixy[, 2], lty=2)
# close.screen(all=TRUE)
# dev.off()

savefig("/Users/lawrenceuren/Dropbox/Depression/JMCB_GD/Code/Output/MS11-298Fig4", type="pdf")
plot(1925:1938, basesim[2, ] , type="l", xlab="year", ylab="log deviation from trend", ylim=c(-0.08, 0.06))
lines(1925:1938, flexy$V1, lty=2)
lines(1925:1938, fixy[, 2], lty= 3)
legend("bottomleft", c("Baseline, fixed exchange rate", "Taylor Rule", "Counterfactual devaluation"), lty=c(1, 2, 3), col=c("BLACK", "BLACK", "BLACK"))
dev.off()
