# source("/Users/lawrenceuren/Dropbox/Depression/JMCB_GD/Code/Figure6.R")
## Programme to examine robustness under different values of theta. Fixed exchange rates. 
## Clear previous information.

rm(list=ls(all=TRUE))

## Load HPfilter: 
source("/Users/lawrenceuren/Documents/Research/Miscellaneous/Computing/R/hpfilter.R")

## Load Monash graphs:
source("/Users/lawrenceuren/Documents/Research/Miscellaneous/Computing/R/monash/R/setps.R")

# Download results from a fixed exchange rate simulations. Baseline
data_base = read.table("/Users/lawrenceuren/Dropbox/Depression/JMCB_GD/Code/Output/Baseline/endo_r.txt", sep=",")

# Low theta. Fixed

datal = read.table("/Users/lawrenceuren/Dropbox/Depression/JMCB_GD/Code/Output/Thetal/endo_r.txt", sep=",") # theta = 0.5

# Natural rate of output. 
ytn = read.table("/Users/lawrenceuren/Dropbox/Depression/JMCB_GD/Code/Output/Flexbase/ytn.txt", sep=",")

y_base = data.matrix(data_base)
y_thetal = data.matrix(datal)


# Download observed data.
data = read.table("/Users/lawrenceuren/Dropbox/Depression/JMCB_GD/Code/Output/dataobs.csv", sep=",")

# Download flexible ER with theta = 0.1
flexthetal = read.table("/Users/lawrenceuren/Dropbox/Depression/JMCB_GD/Code/Output/Flexthetal/output.txt", sep=",")

savefig("/Users/lawrenceuren/Dropbox/Depression/JMCB_GD/Code/Output/MS11-298Fig6", type="pdf")
plot(1925:1938, y_thetal[2,], type="l", xlab="year", ylab="log deviation from trend")
lines(1925:1938, flexthetal$V1, lty = 2)
lines(1925:1938, t(ytn)[, 1], lty = 3)
legend("bottomleft", c("fixed exchange rate", "Taylor Rule", "Natural Rate"), lty=c(1, 2, 3), col=c("BLACK", "BLACK", "BLACK"))
dev.off()
