	# source("/Users/lawrenceuren/Dropbox/Depression/Final_GD/xcount.R")
## Programme to examine cross country output relationships
## Create fig_xcount.pdf
## Clear previous information.

rm(list=ls(all=TRUE))

xcount = read.table("/Users/lawrenceuren/Dropbox/Depression/Final_GD/soe.csv", header=TRUE, sep=",")

attach(xcount)

ozind = Australia*100/Australia[1]
nzind = NZ*100/NZ[1]
canind = Canada*100/Canada[1]
autind = Austria*100/Austria[1]
belind = Belgium*100/Belgium[1]
denind = Denmark*100/Denmark[1]
finind = Finland*100/Finland[1]
norind = Norway*100/Norway[1]
netind = Netherlands*100/Netherlands[1]
sweind = Sweden*100/Sweden[1]
swiind = Switzerland*100/Switzerland[1]
usaind = USA*100/USA[1]
ukind = UK*100/UK[1]
fraind = France*100/France[1]

# Some statistics: 
# Peak year leading into Depression
ozmax = which(ozind == max(ozind[1:6]))
nzmax = which(nzind == max(nzind[1:6]))
autmax = which(autind == max(autind[1:6]))
canmax = which(canind == max(canind[1:6]))
usamax = which(usaind == max(usaind[1:6]))
belmax = which(belind == max(belind[1:6]))
netmax = which(netind == max(netind[1:6]))
swimax = which(swiind == max(swiind[1:6]))
ukmax = which(ukind == max(ukind[1:6]))
framax = which(fraind == max(fraind[1:6]))

# Trough year of Depression
ozmin = which(ozind == min(ozind[ozmax:14]))
nzmin = which(nzind == min(nzind[nzmax:14]))
autmin = which(autind == min(autind[autmax:14]))
canmin = which(canind == min(canind[canmax:14]))
usamin = which(usaind == min(usaind[usamax:14]))
belmin = which(belind == min(belind[belmax:14]))
netmin = which(netind == min(netind[netmax:14]))
swimin = which(swiind == min(swiind[swimax:14]))
ukmin = which(ukind == min(ukind[ukmax:14]))
framin = which(fraind == min(fraind[framax:14]))

# Percentage decrease in output. 
ozd = (ozind[ozmin]-ozind[ozmax])/ozind[ozmax]*100
nzd = (nzind[nzmin]-nzind[nzmax])/nzind[nzmax]*100
autd = (autind[autmin]-autind[autmax])/autind[autmax]*100
cand = (canind[canmin]-canind[canmax])/canind[canmax]*100
usad = (usaind[usamin]-usaind[usamax])/usaind[usamax]*100
beld = (belind[belmin]-belind[belmax])/belind[belmax]*100
netd = (netind[netmin]-netind[netmax])/netind[netmax]*100
swid = (swiind[swimin]-swiind[swimax])/swiind[swimax]*100
ukd = (ukind[ukmin]-ukind[ukmax])/ukind[ukmax]*100
frd = (fraind[framin]-fraind[framax])/fraind[framax]*100