% Matlab code by Lawrence Uren
% 3 May, 2012
% File to run flexible exchange rate results
% Requires govshocksnew.R to be run by prior. 

switch 'thetal' % Select appropriate calibration.

    case 'baseline'
        
        clear
        
        run parameters_gmg2 % input underlying parameters

        run gali_monacelli_gov % solves gali-monacelli model with flex er. 
        
        dlmwrite('/Users/lawrenceuren/Dropbox/Depression/JMCB_GD/Code/Output/sol_nk_gov.txt', n);
        
        run simulate_gm_gov % simulate model
        
        dlmwrite('/Users/lawrenceuren/Dropbox/Depression/JMCB_GD/Code/Output/Flexbase/output.txt', output);
        
		dlmwrite('/Users/lawrenceuren/Dropbox/Depression/JMCB_GD/Code/Output/Flexbase/ytn.txt', ytn)
		
        dlmwrite('/Users/lawrenceuren/Dropbox/Depression/JMCB_GD/Code/Output/Flexbase/er.txt', er_t);
        
    case 'thetal' % Run calibration in parameters_thetal

        clear
        
        run parameters_thetal
        
        run gali_monacelli_gov
        
        dlmwrite('/Users/lawrenceuren/Dropbox/Depression/JMCB_GD/Code/Output/Flexthetal/sol_nk_gov.txt', n);
        
        run sim_flex_gm_thetal
        
    
    case 'thetah' % For online appendix
        
        clear
        
        run parameters_thetah
        
        run gali_monacelli_gov
        
        dlmwrite('/Users/lawrenceuren/Dropbox/Depression/JMCB_GD/Code/Output/Flexthetah/sol_nk_gov.txt', n);
        
        run sim_flex_gm_thetah
        

end