% Parameters (explanation in brackets)
% called by gali_monacelli.m
beta = 0.95; % discount factor - annual. (standard value)
alpha = 0.2; % weight on forreign output in consumption (share of imports in consumption)
rho = - log(beta); % Gali p.155 (calculation)

rho_a =  0.37; % persistence of technology shocks. (based on acf of technology data (detrended))
rho_y = 0.2; % persistence of foreign output shocks. (based on acf of output data (detrended))
rho_g =  0.7; % persistence of domestic govt spending shocks
rho_gstar = 0.06; % persistence of foreign govt spending shocks 
rho_pstar= 0.6; % persistence of foreign price shocks
rho_e=1; % persistence of nominal exchange rate

phi = 2; % coefficient on the disutility of labour (1/3 is labour elasticity. Gali p.174)
sigma = 1.1; % utility function parameter
theta = 0.25; % Calvo pricing parameter (50 per cent of firms adjust per year, 1-theta adjust)
eta = 1; % elasticity home versus foreign substitution 
epsilon = 6; % product market competition (elasticity of substitution -> markup of 20 per cent, Gali 174)
gamma = 1.1; % substitution across countries

% Taylor rule parameters.
% loosely speaking, estimated from recent monetary policy data. See Crosby.

phi_pi = 1.5; 
phi_y = 0.25;

% GOVERNMENT SPECIFIC PARAMETERS
sg = 0.12; % share of government spending in output (avearge)

% ASSOCIATED PARAMETERS:
omega = sigma*gamma+(1-alpha)*(sigma*eta-(1-sg)); % JP notes, page 7. Typo exists in payne_uren
sigma_beta = sigma*(1-sg)/(omega*alpha+(1-alpha)*(1-sg)); % % JP notes - page 8. 
kappa_alpha = (1-beta*theta)*(1-theta)*(sigma_beta + phi*(1-sg))/(theta*(1-sg));

Tau=(1+phi)*(1-sg)/(sigma_beta+phi*(1-sg)); % JP notes - page 10. 
Psi=-(sigma-sigma_beta)/(sigma_beta+phi*(1-sg)); % % JP notes - page 10. 

Lambda_gstar=sg*(sigma-sigma_beta*(1-alpha))/(sigma_beta+phi*(1-sg)); % % JP notes - page 10. 
Lambda_g=sg*(1-alpha)*sigma_beta/(sigma_beta+phi*(1-sg)); % % JP notes - page 10. 

Theta_g= -(1-alpha)*sg; % JP notes - page 8
Theta_gstar=-sg*alpha*omega/(1-sg); % JP notes - page 8
Theta_ystar=alpha*(omega-(1-sg))/(1-sg); % JP notes - page 8